# Poco

# class TraverseBase

Library: Foundation
Package: Filesystem
Header: Poco/DirectoryIteratorStrategy.h

## Inheritance

Known Derived Classes: ChildrenFirstTraverse, SiblingsFirstTraverse

## Member Summary

Member Functions: isDirectory, isFiniteDepth

## Types Aliases

### DepthFun

using DepthFun = std::function < UInt16 (const Stack &)>;

### Stack

using Stack = std::stack < DirectoryIterator >;

## Enumerations

### Anonymous

D_INFINITE = 0

Special value for infinite traverse depth.

## Constructors

### TraverseBase

TraverseBase(
DepthFun depthDeterminer,
UInt16 maxDepth = D_INFINITE
);

## Member Functions

### isDirectory

bool isDirectory(
Poco::File & file
);

### isFiniteDepth

bool isFiniteDepth();

## Variables

### _depthDeterminer

DepthFun _depthDeterminer;

### _itEnd

DirectoryIterator _itEnd;

### _maxDepth

UInt16 _maxDepth;